Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 714802 - x11-plugins/wmweather-2.4.7 : fails to build with -fno-common or gcc-10
Summary: x11-plugins/wmweather-2.4.7 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-26 08:05 UTC by Toralf Förster
Modified: 2020-03-29 11:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.31 KB, text/plain)
2020-03-26 08:05 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,129.41 KB, text/plain)
2020-03-26 08:05 UTC, Toralf Förster
Details
environment (environment,15.26 KB, text/plain)
2020-03-26 08:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.04 KB, application/x-bzip)
2020-03-26 08:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.97 KB, application/x-bzip)
2020-03-26 08:06 UTC, Toralf Förster
Details
x11-plugins:wmweather-2.4.7:20200325-212319.log (x11-plugins:wmweather-2.4.7:20200325-212319.log,5.93 KB, text/plain)
2020-03-26 08:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-26 08:05:53 UTC
make -j1 
x86_64-pc-linux-gnu-gcc -Wall -O2 -pipe -march=native  -falign-functions=32:25:16 -fno-common -Werror=format-security -Wformat -DSYSCONFPATH=\/etc/wmweather.conf\ -I.   -c -o wmweather.o wmweather.c
x86_64-pc-linux-gnu-gcc -Wall -O2 -pipe -march=native  -falign-functions=32:25:16 -fno-common -Werror=format-security -Wformat -DSYSCONFPATH=\/etc/wmweather.conf\ -I.   -c -o wmgeneral.o wmgeneral.c
x86_64-pc-linux-gnu-gcc -Wall -Wl,-O1 -Wl,--as-needed   wmweather.o wmgeneral.o  -lcurl -lXpm -lXext -lX11  -o wmweather
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: wmgeneral.o:(.bss+0x328): multiple definition of display; wmweather.o:(.bss+0x178): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200322-135559

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.42.0 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed 25 Mar 2020 08:38:36 PM UTC

emerge -qpvO x11-plugins/wmweather
[ebuild  N    ] x11-plugins/wmweather-2.4.7
Comment 1 Toralf Förster gentoo-dev 2020-03-26 08:05:55 UTC
Created attachment 625902 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-26 08:05:59 UTC
Created attachment 625904 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-26 08:06:02 UTC
Created attachment 625906 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-26 08:06:05 UTC
Created attachment 625908 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-26 08:06:08 UTC
Created attachment 625910 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-26 08:06:10 UTC
Created attachment 625912 [details]
x11-plugins:wmweather-2.4.7:20200325-212319.log
Comment 7 Larry the Git Cow gentoo-dev 2020-03-29 11:35:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=218ed79926574f50c582795dafb2d6dd4d29465d

commit 218ed79926574f50c582795dafb2d6dd4d29465d
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-03-29 11:17:12 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-03-29 11:35:24 +0000

    x11-plugins/wmweather: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/714802
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 .../files/wmweather-2.4.7-fno-common.patch         | 23 ++++++++++++++++++++++
 x11-plugins/wmweather/wmweather-2.4.7.ebuild       |  9 ++++++++-
 2 files changed, 31 insertions(+), 1 deletion(-)